About ATV2000

ATV2000

ATV2000 je TV aplikace pro operační systémy Microsoft Windows 95, 98, Me, 2000 a XP. Umožňuje také zachytávat video do AVI souboru. Podporována je jak stará architektura Video for Windows (VfW), tak DirectShow (s WDM ovladači). Program spolupracuje s jinými programy - ARC2000 pro dálkový ovladač s plánovačem a AFM2000 pro FM rádio.

ATV2000 je rozdělena do částí, které mezi sebouspolupracují, ale mohou vetšinou pracovat samostatně. Rozdělení má výhodu ve větší stabilitě a přerozdělování výkonu CPU mezi jednotlivými části, takže v důsledku i lepší výkon.

Control panel - srdce celé aplikace, které řídí ladění stanic, nastavování parametrů apod. Může být spuštěno i samostatně nebo i s jinou apliakcí pro zachytávání, která má jinou funkčnost než WDM nebo VfW Capture obsazžené v ATV2000 (např. PowerVCR pro zachytávání MPEG videa)

WDM Capture - používá se pro zachytávání videa pomocí DirectShow architektury. Nutné jsou WDM ovladače a Windows 98SE nebo vyšší (doporučeno Windows 2000). Umožňuje (a obsahuje) více funkcí než VfW a díky kompletní 32-bitové architektuře je stabilnější a rychlejší.

VfW Capture - používá se pro zachytávání videa pomocí staré Video for Windows architektury, která má kořeny již ve starých Windows 3.11 a obsahuje stále 16-bitové ovladače. Ve Windows 2000 je podporováno pouze s pomocí VfWWDM mapperu, který konvertuje VfW rozhraní do DirectShow, ovladače ale musí být WDM.

Player - přehrávač s podporou externích textových titulků

Capture panel - pro zobrazení základních informací při nahrávání nebo u přehrávače.


Licence
ATV2000 je freeware. Může být volně šířen, ať už kopírován, vypalován na CD apod., ale pouze jako instalační soubor. Nemůže být ale distribuován jako součást jiného software a žádná část ATV2000 nemůže být distribuována s jiným software. Také není žádná záruka na zničení počítačového hardware nebo software, používání pouze na vlastní nebezpečí. Také není žádná podpora, přesto se budeme snažit odpovědět na všechno dotazy a připomínky (mimo stupidních).


Options - System

System

Capture application
Select capture application you want to use. Either one of internal implementations in combobox or external one after click on Browse button. Look here to find out what VfW / WDM Capture means.
When you don't know, what to use, select Auto VfW or WDM.

Application priority
Change global application priority when needid.

Skin
Select skin to change a look of Control & Capture Panels. You can make your own skin or download anothers on ATV project page. When you made new skin, please send it to the author to make it available to others.

Language
Select your national language that will ATV2000 use. If not listed, you can translate one of here listed languages you understand (files are physically in Lang directory of ATV2000) and send it to the author to make it available to others. The same is relevant for update/correct some of language files.
Tip: Comfortly you can manage translations with Jernej Simoncic's Translator utility.

Enable sound detection
Automatical detection and adjusting of sound system on current channel. Stereo, mono and dual are available.

Use mixer mute instead of card mute
Enable this option in case of not working sound mute. It's good to check it too when some disturbing sound signals after mute appear.

Enable multiple instances of ATV2000 at the same time
Use it when you have more capture devices, that can work together.

Show panel in task bar
If you want more place in taskbar, uncheck this option to make Control Panel taskbar window disappear. It still remain in traybar.

Mute sound on exit
Some TV cards or bad configured TV cards don't mute sound on driver unload. Leave this option checked if this is your case.

Fix driver sound muting
Some drivers have problems, when combining direct application access to hardware in BT8x8 module and mutes sound or resets some settings. Also some drivers mute sound when DirectShow application stoppes the graph. Enable this checkbox to fix this behaviour.


Options - TV Card

TV Card

TV card module
Select appropriate module:

NoCard for demo purposes, when you want to see, how ATV2000 looks without need of video capture device.
BT8x8 for BrookTree chipset based capture devices (Bt848, Bt849, Bt878, Bt879 and their modifications).
General WDM for all video capture devices with WDM drivers available, like ATi combo, nVidia combo, Matrox RRG series cards and BT8x8 obviously too.

Sound source
Select the source, where you have connected the audio signal to Sound Card.
Often Line-In for BT8x8 based cards...

Default volume
Set here default volume of Sound source you selected that will be set at ATV2000 start and after channel changes.
Hint 1: On channel change is respectivelly set Default volume +/- current channel Volume correction.
Hint 2: When none Sound source selected, then Default volume is applied on first sound source of your soundcard.

All next explanations are only BT8x8 based cards relevant.

TV Card
Select your TV Card from combobox. If not listed, you can try another/kindred, but more correct is to select Use values below and fill these values.

Tuner type, Tuner address, Sound Decoder, Tuner - EXT - SVHS (MUX/GPIO), GPIO Mute, GPIO Enable
Your card is not present in TV Card's list or work wrong with these settings. Then you can manually set all important TV card addresses. To make ATV2000 read these values, select in TV Card's list Use values below. The values are another for almost all TV cards and manufacturers does not publish them. Fortunately there are methods to detect them with cooperation of original manufacturer's and 3rd party software. These methods are nice utilized in MoreTV and BorgTV. You can download these programs on TV Freak site.

When you set your not here listed TV card to run succesfully with ATV2000, please send your atv.ini file together with exact card name to the author to make it available to others.

Driver
In most cases you can leave this option blank or select Autodetect. When you surelly know, what you do, you can override it to make ATV2000 use your desired driver.

I2C bus frequency
You can set here how fast will ATV2000 communicate with capture device(s) through I2C bus.
Default value is 100 000 Hz. Do not change it, if you don't know what it is.

Tuner Low Cross Freq (MHz); Tuner High Cross Freq (MHz)
All nowaday TV tuners have three frequency ranges. And you can change here the frequencies for crossing tuner from one to another range.
Hint: Default values are good for almost all tuners, so set these values only if you have problems. And do not set it, if you don't know what it is.

Auto Chroma Gain Control (AGC), Low Color Detection/Removal (LCDR)
Name says all, and thus represents BrookTree-chip internal picture improving algorithms.

Quick start
If checked then your capture device(s) initialization is speedid up a little, especially if it have a MSP sound decoder.

Create log file
When checked, BT8x8 plugin module makes log file BT8x8.log (in ATV2000 directory), which can help author by finding bugs or examining your problems associated with bad ATV2000 / system configuration.


Options - Display

Display

OSD Font
You can change here standard font settings like Name, Charset, Color, Background color. Other font settings are ignored!

Hint: OSD = On Screen Display, is used to show informations like in TV-box (Channel name, time, volume, sound mode, recording status etc.).

Background
Set here the color of OSD text background.
Hint: Ignored when Transparent display set.

Channel name, Time, Bar, Sound mode, Record status -
- position & size
Position: Change position of OSD control relative to ATV2000 Window width, resp. height (in percent). E.g. for 50 and 50 will be the OSD Control in center of ATV Window.

Size: Change size of OSD control relative to ATV2000 Window height to aproximately accord this formula: ATV2000 Window height divided to entered value. So for 1 will be the size equal to ATV2000 Window height, or in other words the bigger entered value the lesser OSD font size.

Tranparent display
When checked then OSD text is displayed transparently. But remember that not all graphics cards are capable to do it.

Hide cursor in full screen
Hides mouse cursor after few seconds when ATV2000 Window is in fullscreen mode.

Keep on screen
When checked then ATV2000 Window is docked to visible screen area when you set it outside.


Options - Frame capture

Frame capture

Use S key to save single image, when all runs OK then Frame stored OSD message appears.

Format
In current time only BMP output is supported. So you can only set picture color quality in bits per pixel.

Size
Set here image to be captured size, e.g. 768x576 for "full" PAL
Hint: Set size only for VfW mode, in WDM mode is frame stored according to ATV2000 preview size.

Directory
Set directory for saving captured TV-screen images. When none set then is ATV2000 program directory used.

VfW special
You can check here Switch to preview option (read information provided below) and/or change Delay in milliseconds before capturing an image.

WDM special
You can Disable frame capture feature if it encouraged problems (read information provided below).


Options - Video capture

Video capture

Switch to capture mode (F7) to capture TV broadcasting or use Quick start (F5) if you have all adjusted...

Segmented AVIs
If you check Capture to segmented AVIs, you can select Maximum filesize and/or Maximum time duration from offered values.
Hint 1: You can leave this option unchecked if you use NTFS filesystem or if you capture only short sequences or if you use big compression codec ratio. For FAT32 based filesystems select maximally 4096 MB, because this is maximal filesize on FAT32 filesystems. Remember that some (old) videoeditors cannot open files greater then 2048 MB.
Hint 2: When all two "Maximums" are set, then the smaller is used (can be different for each segment).

Mixer
If you check Set this recording source, you can set recording source of your soundcard that will be used to capture sound and set the Volume too (good for reducing overboosted signal, in other case set it to 100 to avoid quiet sound). You can check and clear all others... to mute all recording sources (except for the adjusted) while capturing to avoid capture e.g. Windows system sounds.
Hint: When unchecked then is used the same source as Sound source (when available).

File special
If you have more HDDs (or partitions), you can check Continue on other drive if full and even set Preferred directory locations.
Hints: It relies on order and you can set either drive name or drive path.

Keep free space on drive option lets you set minimal HDD space to left. When is this limit reached, capture process breaks.
Hint: Setting to No limit on system drive is not recommended.

Don't capture if less then option lets you set the minimal free HDD space to start capture process.
Hint: Setting to No limit on system drive is not recommended.

And for the last you can select Overwrite file without asking to capture always to the same file OR Autoindex files if exists to add numeric index into filename to capture always using another (indexed) filename. If you leave both these options unchecked, you will be always asked with overwrite prompt.
Hint: Set default filename using popup menu or F11 key in capture mode.

Create Log File
Enable this options if you want to create log file with the same name as capture file with some usefull information.


Options - Teletext

Teletext

ATV2000 have full teletext 1.5 level implementation in WDM mode, including capital characters diacritics. This feature works perfectly with Ivan Uskov's, BtWinCap 5.3.1+ or original ATI WDM drivers installed.

You can view Teletext by pressing T key (or Ctrl+T for transparent display) or select it in popup menu. The same affects Closed Caption feature (C key).

Hint: Transparent mode works only when Overlay used.
Note: Teletext is available only with PAL broadcast and Closed Caption only with NTSC broadcast system, otherwise Teletext resp. Closed Caption will fail.

External teletext application
If you check this option, you can select external teletext application, that will ATV2000 use for teletext viewing. This is useful only in VfW mode for starting e.g. Cebra teletext application.

WDM Teletext
Select in which form you want to store teletext content pages using Save teletext pages as option. There are 1 picture and 3 text outputs available.

You must further select one of Filename generation to get filename you like. There are 4 formats available based on various combination of channel name, teletext page, teletext subpage or time you captured the teletext page.

You can also select Directory to store teletext content. When none set then is ATV2000 program directory used.

Normally is generated one file for each teletext (sub)page. You can select When saving all pages, store it to one file option. Then will be the whole teletext content stored into one file. But read below provided Note for limitations in picture mode.
Hint: To start storing all teletext pages either press Ctrl+S keystroke or select it in Teletext window.


Options - Player

Player

ATV2000 comes bundled with its own DirectShow based player with filter adjustment, subtitles viewing, aspect ratio, framerate change etc. support.

Playback

When Open with original video size checked, then ATV2000 Player will adjust its video window size according to your videofile size.

If you check Run in the center of screen option, then ATV2000 Player will always start justified to the center of screen.

Allow multiple instances of player does just this what is written. So if unchecked, then only one instance of Player is allowed.

When you check Associate with supported files option, then all player-supported videofile extensions will be associated to be open by default in ATV2000 Player.

If Display OSD checked, then will be showed player events informations in form like in ATV2000 Window.

Subtitles

Here you can set desired Font name, size and color. Remember that other font settings are ignored! And remember for second time that the size setting is related to video window height.

If you check Transparent subtitles, then the subtitles will be showed transparently, that means without black background. Not all graphics card supports this feature.

Checking Use black border too have sense only if you set transparent subtitles. When selected, then subtitles will be showed with black character contour to better contrast with video.

Again, checking Opaque font border have sense only if you set transparent subtitles. When selected, then subtitles will be showed with opaque character contour to even better contrast with video and subtitles color.


Key control

Klávesové zkratky

ATV2000 může být ovládáno těmito klávesy:

Klávesa | Popis
D | Displej
F | Zobrazení přes celou obrazovku
B | Zobrazení na pozadí
A | Zastavení obrazu
X | Zobrazení času
S | Uloží jeden frame nebo stránku teletextu
+,- | Další/předchozí stanice
UP,DOWN | Vybrání OSD
LEFT | OSD -
RIGHT | OSD +
L | Předchozí stanice
* | Umlč zvuk
/ | Mono/Stereo/Dual
0..9 | Přímé vybrání stanice nebo teletextové stránky
CTRL+Q | Vypnutí počítače
Q | Ukončení ATV2000
CTRL+H | Ukázat/skrýt panel
T | Teletext
C | Skryté titulky
CTRL+T | Transparentní teletext
CTRL+S | Ulož všechny teletextové stránky
CTRL + | Zvětši zoom/Další podstránka teletextu
CTRL - | Zmenši zoom/Předchozí podstránka teletextu
CTRL+Z | Vypni zoom
CTRL+kurz. klávesy | Posuň zoom
kolečko myši | Další/předchozí stanice
F7 | Přepínání módu zachytávání nebo TV
F5 | Start zachytávání
F6 | Ukončit zachytávání
F8 | Ukázat/skrýt capture panel
F9 | Parametry komprese
F10 | Parametry zachytávání
F11 | Nastav soubor pro zachytávání
R | Nastav časový limit pro zachytávání v 15-minutových intervalech


Command line parameters

Parametry příkazové řádky

ATV2000 může být spuštěno s těmito parametry. Vhodné např. pro plánovače apod.

Parametr | Popis
/f | spusť přes celou obrazovku
/b | spusť na pozadí
/tune "stanice" | nastav stanici
/file "soubor" | nastav jméno souboru
/cdur "vteřin" | nastav časový limit nahrávání
/profile "profil" | načti profil (pouze WDM)
/cap | začni hned nahrávání (pouze WDM)
/capmode | spusť v módu zachytávání
/debug | Debug möd, vytvoří soubory *.log


WDM video modes

WDM Video módy

Jsou dva módy zobrazení videa na obrazovce. Nazývají se Preview (Náhled) a Overlay. U Preview módu je zachytávací zařízení připojeno přímo na Video renderer, ale u Overlay módu je navíc vložen Overlay mixer. V praxi to znamená, že v Preview módu se většinou použije RGB kódování obrazu a zobrazení na monitoru se děje softwarově za účasti procesoru. V Overlay módu se vnutí použití hardwarové akcelerace grafické karty, takže se zobrazení na obrazovce děje bez účasti procesoru. V tomto módu se používá enkódování obrazu YUY2, UYVY, YV12 apod. Samozřejmně grafická karta a zachytávací za

Přepnutím mezi oběma módy se zruší nastavení velikosti a enkódování obrazu. Použito je základní nastavení.
Note: Například pokud by byl nastaven Overlay mód s YUY2 enkódováním a přeplo by se na Preview, připojení přímo Video rendereru by selhalo, protože se musí vždy připojovat v RGB módu. Proto je volba enkódování ponechána na zachytávacím zařízení. Toto samozřejmně neplatí pro kombinovaná zařízení (All In Wonder), která umí pracovat pouze v Overlay módu.

Parametry

Velikost - rozlišení videa pro zobrazení na obrazovce. Lze vybrat s přednastavených nebo vepsat libovolné rozlišení, mějte ale na paměti limity Vašeho hardware.

Enkódování - enkódování obrazu na zachytávacím zařízení. Seznam obsahuje všechny podporované formáty, ne všechny ale mohou být použity kvůli omezení filtrů nebo grafické karty.
Note: V Preview módu (bez filtrů) musí být nastaveno enkódování stejné jako nastavení obrazovky. Tedy pro 24bitovou hloubku barev obrazovky musí být nastaveno RGB24, pro 16bitové RGB565 (popř. RGB555, záleží na implementaci grafické karty), pro 32bitové RGB32 atd. V Overlay módu musí být enkódování YUY2, UYVY, YV12 apod. Pokud toto není splněno, nebude video zobrazeno. Může to být také způsobeno nepodporováním některého formátu hardwarem, např. při nastavení 16bitové barevné hloubky obrazovky nemusí zachytávací zařízení podporovat RGB565 enkódování v Preview módu. Jediné řešení je pak přepnout do Overlay módu nebo změnit barevnou hloubku obrazovky např. na RGB24.

Použí capture pin pro náhled - některé ovladače mohou podporovat více formátů na capture pinu než na preview pinu. V tomto případě je možné použití capture pinu pro náhled, není ale doporučeno.

Jas, Kontrast, Barvy, Vyvážení - Nastvuje paramtry obrazu, stejné jako při nastavení pomocí OSD:


WDM Driver Dialogs

WDM Ovladač

V menu Ovladač lze ozbrazit dialogy ovladače nebo systému, jsou to:

Parametry obrazu - paramtry zachytávacího zařízení jako Video standart, Jas, Kontrast apod.
Formát zachytávání - formát capture pinu
Formát náhledu - formát preview pinu
Vyber vstup - vstup video/audio (video crossbar)
Audio vstup - audio vstup (audio crossbar)
Ovládání TV - ladění TV stanic
Audio mód - mono, stereo, dual
Video renderer - dialog Video rendereru


WDM video filters

Video filtry

Pomocí menu Filtry/Video/Nastavit lze otevřít konfiguraci video filtrů

Dostupné filtry - seznam nainstalovaných filtrů, dvojité kliknutí myši pro vložení do Řazení filtrů

Informace o filtru a nastavení - zobrazí informace o filtru a nastevní, pokud je nějaké

Řazení filtrů - maximum 5 filtrů může být vloženo mezi zachytávací zařízení a Video renderer

Note: Je třeba brát v úvahu formáty podporované filtry. Vstupní formát první filtru musí být kompatibilní s formátem zachytávacího zařízení, výstupní formát posledního filtru musí být kompatibilní s Video rendererem. Pokud to tak není, některé filtry nemusí být zapojeny nebo nemusí být dostupný obraz. V tomto případě zkuste odstranit některé filtry, přidat některé filtry pro konverzi formátu (Converter, DivXG400) nebo změnit parametry náhledu.


WDM video capture guide

WDM zachytávání videa

Zde najdete pár typů pro zachytává videa v ATV2000 ve WDM. Zapněte Mód zachytávání a otevřete konfigurační dialog pomocí F10. Zde nastavte všechny parametry:

Parametry

Velikost obrazu - nastavte požadové rozlišení obrazu pro zachytávání, maximum pro PAL je 768x576. Některé ovladače, např. u čipsetů BT848/878, nepodporují náhled pokud je počet řádek větší než polovina maxima (tedy 288 pro PAL). V tomto případě vypněte náhled nebo zapněte Použí capture stream pro náhled.

Enkódování - enkódování obrazu musí být nastaveno správně pro kompresor. Některé pracují nejlépe v módech YUV jako například MJPEG nebo Huffyuv (použijte YUY2), jiné v RGB módech (např. Indeo). Při zapnutém Použí capture stream pro náhled je nutné brát v úvahu i zobrazení na obrazovce. Při špatném nastavení nebude náhled nebo dojde ke konverzi, které bude časově náročná a ubere strojový čas procesoru, který může být důležitý pro kompresor.

Počet sn./se - počet snímků za vteřinu. Normálně se nastavuje 25 fps pro PAL.

Náhled - rozlišení obrazu pro náhled. Může být jiné než pro zachytávání, ale ne všechny ovladače toto pdporují. Můžete také vypnout náhled, což sníží zatížení procesoru. Některé ovladače (karty s čipem BT848/878) neumožňují, aby jeden stream měl více než 288 řádek, takže pokud chcete náhled, zapněte Použí capture stream pro náhled.

Použí capture stream pro náhled - zaškrtněte pokud jsou nějaké limity zachytávacího zařízení, např. nemá náhled nebo jsou nějaké limitace pro zobrazení (viz výše)

Pokud chcete zachytávat také zvuk, nastavte i parametry zvuku jako frekvenci, kvantizaci a mód. Velmi důležitá je Audio/Video synchronizace. Špatné nastavení může způsobit nesynchronizovaný zvuk nebo vypadlé snímky.

Hlavní stream - pokud zachytávací karta zachytává jak zvuk tak video, nastavte na None, pokud se používá zvuková karta pro zachytávání zvuku, nastavte Audio. Většinou není nutné použít nastavení Video, někdy pokud je ale časová základna (frekvence) zvukové karty nižší než video zařízení, můžete zkusit použít Video pro synchronizaci zvuku.

Prokládání - soubory AVI obsahují oba streamy video a zvuk v jednom souboru. Ty se prokládají po určitých časových okamžicích, což lze nastavit zde. None zapisuje video i zvuk tak, jak přijdou ze zachytávacích zařízení, Full prokládá vždy po určitých časových okamžicích (může dojít k vypadání snímků při různých frekvencích obou streamů), Capture je jako Full, ale pokud to není možné, netrvá na přesném složení prokládání. Doporučeno je Default (optimalizované hodnoty).

Komprese

Na druhé stránce se nastavuje komprese videa a zvuku. Je třeba brát v úvahu výkon počítače, především procesoru a pevného disku. Zatížení CPU by mělo být trvale nižší než 90%, jinak hrozí vypadávání snímků. Například zachytávání do DivX a MP3 může být velmi náročné na výpočetní výkon. Pokud je použití CPU blízko 100%, snižte velikost obrazu, nekomprimujte zvuk nebo použíte jiný kompresor. Dobré video kodeky jsou MJPEG (PIC, Morgan) a pro audio ADPCM. Nejlepší kompresi dávají DivX, MS-MPEG-4 a Indeo 5.11 pro video, resp. MP3 pro zvuk. Tlačítko Nastavení otevře konfigurační dialog video kompresoru, u VCM kodeků je nastavení uloženo. Tlačítko O aplikaci zobrazí informace o kodeku.

Profily

Na třetí stránce lze ukládat a načítat uložené profily s veškerým nastavením, což zjednodušuje změnu parametrů. Profily se také používají pro nahrávání pomocí plánovače (součást ARC2000). Použití tlačítek Načíst a Uložit je zřejmé.


VfW Video modes

There are two modes of operation called Preview and Overlay. Preview mode shows video using software BitBlt function on primary display surface. This is very CPU consuming. Overlay mode is using overlay surface in graphic card's memory and video is hardware stretched to primary sourface. Not all graphic cards suport this mode, but all new cards does.

Note: Some video capture drivers (for example cards with BT848/878 based chipset) don't support capture in overlay mode with more then half of maximum video lines (so 288 for PAL/SECAM and 240 for NTSC). In this case you must use preview mode.


VfW Driver dialogs

In Driver menu you can show various dialogs provided be driver, system etc.

Format - video capture size and encoding
Display - closed caption etc.
Source - video input


WDM video capture guide

VfW video capture guide

Here you will find some tips for capture with ATV2000 in VfW. Enter Capture mode and open Preferences dialog by pressing F10 key. Here set main parameters:

Video

Video size - set desired video capture resolution, for NTSC maximum resolution is 640x480 and for PAL 768x576. Some drivers, especially with BT848/878 chipsets, doesn't provide preview in overlay mode if vertical resolution is half of max lines or more. In this case turn off preview or switch to Preview mode.

Encoding - must be set corresponding to desired compressor. Some compressors works best with YUV modes like MJPEG codecs (use YUY2) and other RGB modes (for example Indeo). Please be sure that not all capture devices supports all encoding models. Recommended encodings which offten wors are YUY2 and RGB24.

Framerate - framerate of video to capture. Typically you should set it to 25 fps for PAL/SECAM and 29.97/30fps for NTSC.

Video buffers - number of buffers used to store video frames. More buffers can decrease dropped frames on peak performance penalties, but requires more memory.

Avaliable compressors - this is list of avalaible compressors for current format, but selection has no effect (see below). Select Open compression dialog after setup done if you want to open Compression dialog after pressing OK button.

Preserve video size - check if you want to adjust window to size of video. In preview mode there will be no stretching.

Hit OK to capture - check if you want to display dialog before capture starts.

Audio

If you want audio, select audio parameters too. Also you can set number of Audio buffers like by video.

Audio stream is master - the implementation of synchronization is different then in WDM. Synchronization is done by dropping frames, not by adjusting framerate in AVI file. Typically there is no need to check this box.

Compression

Video compression can be set only with standart Windows dialog and cannot be remembered (so no profiles are implemented in VfW), press F9 to open it or press Ctrl+F9 to open Audio Compression. After changing video parameters, compression must be set again, because it is reset to none when changing encoding. There is one method to store compression, which uses VirtualDub - it works directly with video samples and passes it to compressor manualy, not throw VfW interface. If you want to use this method, select VirtualDub in Options/Application.


How to make new skin

When designing new skin, you typically go in those steps. You can use Skin Editor to simlify this steps.

1) Design

In any of prefered paint application you create new image, which shows the main interface. It includes the place for display properties, buttons and slidebars. Buttons have three states: default state, active on mouse over and pressed state. See below for more info on buttons.

2) Creating mask file

With Mask generator you create mask, which defines the places to be transparent. When designing new skin, you will choose one color for transparency, this color shouldn't be used in other parts of skin. Also make sure, if you use antialias in drawing with painting program, the transition will be blured. It can be visible after mask generation, so turn it off or use very dark transparent color.

3) Creating skin file

All preferences for skin are defined in file with .SKN extension. It has several sections described bellow.

a) Section Main

In section [Main] are defined this parameters:

PictureDir=directory where all images are stored, this is
 usually     the   same as skin name
Picture=name of file with the main interface image
Mask=name of file with the mask
Buttons=number of buttons used
Labels=number of display items
SlideBars=number of slidebars
CheckBoxess=number of checkboxes, swithes or display icons
Images=number of images, used
for different purposes
Background=background color
for some items (SlideBars)

b) Section Buttons

Here are all buttons defined.

ButXPos=left,top position
ButXSize=width,height
ButXDefault=name of file with button default state
ButXDown=name of file with button pressed state
ButXUp=name of file with button on mouse over state
ButXName=name of button

The button can be designed in two ways: The first is you will create image buttons in the main interface image in default state and another images for each button in pressed state. This will save disk space (default state image are not used). The second way is not to draw buttons on main interface image and create it separatelly. Also on mouse over state is not required, if not used, it will have behaviour like standart buttons.

c) Section Labels

LabelXPos=left,top position
LabelXSize=width,height
LabelXFont=fontname,size
LabelXColor=color of text,bold (0/1)
LabelXAlign=allignment of text
LabelXName=name of label

d) Section SlideBars

 LabelXPos=left,top position
LabelXSize=width,height
LabelXName=name of slidebar, it have not to be changed (or it will not
work)

If you set width grater then height, it will be positioned horizontally, else vertically.

e) Section CheckBoxes

CheckBoxXPos=left,top position
CheckBoxXSize=width,heigth
CheckBoxXUnchecked=name of file in unchecked state
CheckBoxXChecked=name of file in checked (active) state
CheckBoxXName=name of checkbox

Checkboxes can be used in two ways - it can have look of button in pressed or default state or can be icon for information purposes (on display etc.).

f) Section Images

ImageXPos=left,top position
ImageXSize=width,heigth
ImageXForeground=foreground color
ImageXBackground=background color
ImageXName=name of image

The X in parameter name is the index of item (button, label etc.).

4) Install

Installation is done by copying *.SKN file and bitmaps to the Skins directory. The bitmaps should be in separate directory with name same as skin name.


How to make new skin

Control names

Every control must have correct name to take effect, ATV2000 uses those names.

Section | Buttons | Labels | SlideBars | Checkboxes | Images
Panel | Close Minimize Fullscreen Hide Prev Pause Next Play Record Stop Channels Capture Options Teletext Mute Video Audio 0 1 2 3 4 5 6 7 8 9 Dec Inc | Channel Sound Time ChannelNum | Brightness Contrast Saturation Hue Volume |  |
VCR | Power Play Stop Pause Record Compression Preferences Profiles Prev Next Minimize Hide Fullscreen | Time Frames Dropped Size VideoSize VideoFPS VideoEncVideoCompr AudioFreq AudioBits AudioMode AudioCompr CPUUsage FileName Clock |  |  | PosBar